Package org.eclipse.birt.core.script

# Class ScriptExpression

java.lang.Object
org.eclipse.birt.core.script.ScriptExpression

public class ScriptExpression extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.mozilla.javascript.Script`
`compiledScript`
`static String`
`defaultID`
`protected String`
`id`
Source file name or the ID gotten from Model.
`protected int`
`lineNumber`
`protected String`
`scriptText`

## Constructor Summary

Constructors
Constructor
Description
`ScriptExpression(String scriptText)`
`ScriptExpression(String scriptText, String id)`
`ScriptExpression(String scriptText, String id, int lineNumber)`

## Method Summary

Modifier and Type
Method
Description
`org.mozilla.javascript.Script`
`getCompiledScript()`
`String`
`getId()`
`int`
`getLineNumber()`
`String`
`getScriptText()`
`void`
`setCompiledScript(org.mozilla.javascript.Script script)`
`void`
`setId(String id)`
`void`
`setLineNumber(int number)`
`void`
`setScriptText(String scriptText)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### defaultID

public static String defaultID

### scriptText

protected String scriptText

### id

protected String id
Source file name or the ID gotten from Model.

### lineNumber

protected int lineNumber

### compiledScript

protected org.mozilla.javascript.Script compiledScript

## Constructor Details

### ScriptExpression

public ScriptExpression(String scriptText)

### ScriptExpression

public ScriptExpression(String scriptText, String id)

### ScriptExpression

public ScriptExpression(String scriptText, String id, int lineNumber)

## Method Details

### setScriptText

public void setScriptText(String scriptText)

### getScriptText

public String getScriptText()

### setId

public void setId(String id)

### getId

public String getId()

### setLineNumber

public void setLineNumber(int number)

### getLineNumber

public int getLineNumber()

### setCompiledScript

public void setCompiledScript(org.mozilla.javascript.Script script)

### getCompiledScript

public org.mozilla.javascript.Script getCompiledScript()